Page MenuHomePhabricator

Cumin: upgrade it to 3.0.1 in production
Closed, ResolvedPublic

Description

Release Cumin 3.0.1 in production and upgrade all dependent scripts that use Cumin to Python3.

Some of depend on conftool >= 1.0.0 with Python3 support.

Event Timeline

Volans created this task.Feb 20 2018, 12:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2018, 12:42 PM
Volans moved this task from Backlog to In Progress on the SRE-tools board.Feb 20 2018, 12:42 PM

Change 412894 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Cumin masters: upgrade to python3

https://gerrit.wikimedia.org/r/412894

Volans triaged this task as Medium priority.Feb 20 2018, 12:51 PM
Volans moved this task from In Progress to In Code Review on the SRE-tools board.Feb 21 2018, 10:03 AM

Change 419131 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] Cumin masters in WMCS: upgrade to python3

https://gerrit.wikimedia.org/r/419131

Mentioned in SAL (#wikimedia-operations) [2018-07-19T08:39:31Z] <volans> start upgrade of cumin to 3.0.1-1 on labpuppetmaster* - T187773

Change 419131 merged by Volans:
[operations/puppet@production] Cumin masters in WMCS: upgrade to python3

https://gerrit.wikimedia.org/r/419131

Change 446757 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] cumin: pin also python3-urllib3 for WMCS

https://gerrit.wikimedia.org/r/446757

Change 446757 merged by Volans:
[operations/puppet@production] cumin: pin also python3-urllib3 for WMCS

https://gerrit.wikimedia.org/r/446757

Mentioned in SAL (#wikimedia-operations) [2018-07-19T09:33:01Z] <volans> removed leftover cumin installation from labtestpuppetmaster2001 - T187773

Mentioned in SAL (#wikimedia-operations) [2018-07-19T09:35:32Z] <volans> cumin upgrade on labpuppetmaster* hosts completed - T187773

Change 412894 merged by Volans:
[operations/puppet@production] Cumin masters in prod: upgrade to python3

https://gerrit.wikimedia.org/r/412894

Mentioned in SAL (#wikimedia-operations) [2018-07-19T10:59:59Z] <volans> upgrading cumin on sarin - T187773

Change 446789 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] cumin: remove disable warning for urllib3

https://gerrit.wikimedia.org/r/446789

Change 446789 merged by Volans:
[operations/puppet@production] cumin: remove disable warning for urllib3

https://gerrit.wikimedia.org/r/446789

Change 446793 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] wmf-auto-reimage: convert Py3 bytes to str

https://gerrit.wikimedia.org/r/446793

Change 446793 merged by Volans:
[operations/puppet@production] cumin: convert Py3 bytes to str in related scripts

https://gerrit.wikimedia.org/r/446793

Change 446810 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] wmcs: convert nfs_hostlist to py3

https://gerrit.wikimedia.org/r/446810

Change 446810 merged by Volans:
[operations/puppet@production] wmcs: convert nfs_hostlist to py3

https://gerrit.wikimedia.org/r/446810

Change 446816 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] wmf-auto-reimage: fix py3 bug

https://gerrit.wikimedia.org/r/446816

Change 446816 merged by Volans:
[operations/puppet@production] wmf-auto-reimage: fix py3 bug

https://gerrit.wikimedia.org/r/446816

Mentioned in SAL (#wikimedia-operations) [2018-07-19T13:38:03Z] <volans> reimaging mw2225 to test py3 reimage with new cumin, conftool and apache test - T187773

Script wmf-auto-reimage was launched by volans on sarin.codfw.wmnet for hosts:

['mw2225.codfw.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201807191338_volans_19083.log.

Mentioned in SAL (#wikimedia-operations) [2018-07-19T14:15:57Z] <volans> upgrading cumin/debdeploy/reimage and other tools on neodymium - T187773

Change 446838 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] cumin: explicitely require clustershell

https://gerrit.wikimedia.org/r/446838

Change 446838 merged by Volans:
[operations/puppet@production] cumin: explicitely require clustershell

https://gerrit.wikimedia.org/r/446838

Mentioned in SAL (#wikimedia-operations) [2018-07-19T15:21:16Z] <volans> reimaging mw2226 to test py3 reimage with new cumin, conftool and apache test from neodymium - T187773

Script wmf-auto-reimage was launched by volans on neodymium.eqiad.wmnet for hosts:

['mw2226.codfw.wmnet']

The log can be found in /var/log/wmf-auto-reimage/201807191521_volans_3406.log.

Completed auto-reimage of hosts:

['mw2226.codfw.wmnet']

and were ALL successful.

Volans closed this task as Resolved.Jul 19 2018, 4:44 PM
Volans removed a project: Patch-For-Review.

And with the last reimage fully successfull I think we can deem this as done.